Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.types
Class XName

    java.lang.Object
      com.marklogic.xcc.types.XName

    public class XName

extends Object

An Expanded Name, consisting of a (optional) namespace name and a local name. XName instances are immutable and may be shared.

Constructor Summary
`XName(String localname)` Construct an XName with the given local name in the default namespace.
`XName(String namespace, String localname)` Construct an XName with the given namespace name and local name.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getLocalname()` This XName's local name.
`String` | `getNamespace()` This XName's namespace name, if defined.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XName

    public XName(String namespace,
                 String localname)

  Construct an XName with the given namespace name and local name.

  Parameters:
    `namespace` - A namespace name as a String. A value of null indicate the default namespace.
    `localname` - The local name as a String.

### XName

    public XName(String localname)

  Construct an XName with the given local name in the default namespace. This is equivalent to `new XName (null, "somename")`

  Parameters:
    `localname` -

Method Detail

### getNamespace

    public String getNamespace()

  This XName's namespace name, if defined.

  Returns:
    The namespace name of this XName, or null for the default namespace.

### getLocalname

    public String getLocalname()

  This XName's local name.

  Returns:
    The local name of this XName.

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com